## ros-indigo-stop-base 0.3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(stop_base)

# Minimal Python module setup
find_package(catkin REQUIRED COMPONENTS bwi_msgs geometry_msgs roslint)
catkin_python_setup()
catkin_package(CATKIN_DEPENDS bwi_msgs geometry_msgs)

# Lint Python modules
file(GLOB_RECURSE ${PROJECT_NAME}_PY_NODES
     RELATIVE ${PROJECT_SOURCE_DIR} nodes/*)
file(GLOB_RECURSE ${PROJECT_NAME}_PY_SRCS
     RELATIVE ${PROJECT_SOURCE_DIR} src/*.py)
roslint_python(${${PROJECT_NAME}_PY_NODES}
               ${${PROJECT_NAME}_PY_SRCS})

catkin_install_python(PROGRAMS nodes/request nodes/stop_base_controller
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## Unit tests
if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
### Unit tests
#
#   Only run when CATKIN_ENABLE_TESTING is true.

##  Python nose tests, not needing a running ROS core.
catkin_add_nosetests(test_transitions.py)

##  Unit tests using nose, but needing a running ROS core.
find_package(rostest REQUIRED)
add_rostest(stop_base_passthru.test)
add_rostest(stop_base_requests.test)

=== debian/changelog ===
ros-indigo-stop-base (0.3.12-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-stop-base (0.3.11-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-stop-base (0.3.10-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-stop-base (0.3.9-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

ros-indigo-stop-base (0.3.8-0trusty) trusty; urgency=high

  * stop_base: fix unit tests (#53 <https://github.com/utexas-bwi/bwi_common/issues/53>)
  * fixed file permissions for nodes.
  * Contributors: Jack O'Quin, Piyush Khandelwal

 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 06 Jun 2016 05:00:00 -0000

ros-indigo-stop-base (0.3.7-0trusty) trusty; urgency=high

  * install stop_base nodes (#37 <https://github.com/jack-oquin/bwi_common/issues/37>)
  * stop_base: fix broken links in README
  * Contributors: Jack O'Quin

 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 22 Sep 2015 05:00:00 -0000

ros-indigo-stop-base (0.3.6-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 25 Aug 2015 05:00:00 -0000

ros-indigo-stop-base (0.3.5-0trusty) trusty; urgency=high

  * stop_base: eliminate catkin lint errors (#31 <https://github.com/utexas-bwi/bwi_common/issues/31>)
  * Contributors: Jack O'Quin

 -- Jack O'Quin <jack.oquin@gmail.com>  Sat, 22 Aug 2015 05:00:00 -0000

ros-indigo-stop-base (0.3.4-0trusty) trusty; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 19 Aug 2015 05:00:00 -0000

ros-indigo-stop-base (0.3.3-0trusty) trusty; urgency=high

  * stop_base: add request node (#23 <https://github.com/utexas-bwi/bwi_common/issues/23>)
  * New stop_base <http://wiki.ros.org/stop_base> controller package (#23 <https://github.com/utexas-bwi/bwi_common/issues/23>, utexas-bwi/segbot#41 <https://github.com/utexas-bwi/segbot/issues/41>)
  * Contributors: Jack O'Quin

 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-stop-base
Section: misc
Priority: extra
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-indigo-bwi-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-rosunit
Homepage: http://wiki.ros.org/stop_base
Standards-Version: 3.9.2

Package: ros-indigo-stop-base
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-catkin-pkg, ros-indigo-bwi-msgs, ros-indigo-geometry-msgs, ros-indigo-rospy
Description: Stop base controller for any robot using the cmd_vel interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-stop-base//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
